## 创建model
强烈推荐是官方脚手架创建model，有如下好处：
1. 自动生成model 属性
2. 自动生成$cast


脚手架命令：
```shell
//你的目录
php bin/hyperf.php gen:model {你的表名不带前缀}

```


## 继承基础model 

**必须继承继承基础model** 文件位于model文件下Model文件

基础model提供功能如下：
1. id 主键自动写入雪花算法
2. 提供encrypt/decrypt 字段加密和解密
3. checkUnique 字段唯一检测
4. serviceQuery() 服务查询
5. 自动协程转换数据库字段类型
6. 自动写入created_at updated_at service_id created_uid updated_uid